For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Printing and Scanning

Enable

put

Invoke the enable/disable printing/scanning command.

Body
objTypestring · enumRequired

RAS Server Object Types

Possible values:
idinteger · int32Required

The Printing/Scanning settings to enable/disable.

typestring[Flag] · enumRequired

Univeral Printing/Scanning Type

Possible values:
enablebooleanRequired

Specifies whether to enable/disable the Printing/Scanning settings.

Responses
204

No Content

No content

put/api/PrintingScanning/Enable
PUT /api/PrintingScanning/Enable HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 135

{
  "objType": [
    "1 = RDSHost",
    "2 = Provider",
    "88 = AVDHostPool"
  ],
  "id": 1,
  "type": [
    "1 = Print",
    "2 = Scan_Twain",
    "4 = Scan_Wia"
  ],
  "enable": true
}

No content

Last updated